Subject: Re: compile quirk linux-2.6.24 (with workaround)

From: Olof Johansson <[email-masked]>
Date: Tue, 5 Feb 2008 10:10:17 -0600

On Tue, Feb 05, 2008 at 09:38:20AM -0600, Josh Boyer wrote:

> Taking a step back though, there will always be odd cases like this as
> we move forward.  Toolchain XXX will eventually not support instruction
> YYYY which will eventually be used, etc.  I'll try to make this
> specific case work because it's scope is quite limited.  But this
> problem as a whole will still remain.

Worst case, if it's only a couple of instructions, they could be covered
the way we usually handle new instructions in the ISA: make a macro for
them and hand-encode them.

See real_205_{read,write}b() in arch/powerpc/kernel/misc_64.S for
example.

-Olof